shishi_check_version(3)

NAME
shishi_check_version - API function

SYNOPSIS
#include <shishi.h>

const char * shishi_check_version(const char * req_version);

ARGUMENTS

const char * req_version
    version string to compare with, or NULL

DESCRIPTION
Check that the version of the library is at minimum the one given as a string in req_version.

RETURN VALUE
the actual version string of the library; NULL if the condition is not met. If NULL is passed to this function no check is done and only the version string is returned.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.